VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "PC_ParsedData"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
' ====== Положения набора фрагментов в тексте =======
' Shared module version: 20220614
' Tested in:
' Depends on: PC_Fragment, ParserDeclarations
' Required reference:
Option Explicit

Public data_ As New Collection

Public Property Get Count() As Long
  Count = data_.Count
End Property

Public Property Get IsEmpty() As Boolean
  IsEmpty = Count = 0
End Property

Public Property Get First() As PC_Fragment
  If IsEmpty Then _
    Exit Property
  Set First = data_.Item(1)
End Property

Public Property Get Last() As PC_Fragment
  If IsEmpty Then _
    Exit Property
  Set Last = data_.Item(data_.Count)
End Property

Public Function AddItem(nStart&, nEnd&, Optional nType& = 0)
  Dim newItem As New PC_Fragment: Call newItem.Init(nStart, nEnd, nType)
  Call data_.Add(newItem)
End Function
